Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class NamedArgumentListExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.MapExpression
                      org.codehaus.groovy.ast.expr.NamedArgumentListExpression

    public class NamedArgumentListExpression
    extends MapExpression

Represents one or more arguments being passed into a method by name

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`NamedArgumentListExpression()`
`NamedArgumentListExpression(java.util.List mapEntryExpressions)`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`

Methods inherited from class MapExpression
addMapEntryExpression, addMapEntryExpression, getMapEntryExpressions, getText, isDynamic, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NamedArgumentListExpression

    public NamedArgumentListExpression()

### NamedArgumentListExpression

    public NamedArgumentListExpression(java.util.List mapEntryExpressions)

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Groovy Documentation